## qmidinet 0.1.1

=== debian/changelog ===
qmidinet (0.1.1-2) unstable; urgency=low

  * Disable alsa midi on hurd too (Closes: #637271).
    Patch by Samuel Thibault.
  * Enable autoreconf.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 10 Aug 2011 10:16:51 +0200

qmidinet (0.1.1-1) unstable; urgency=low

  * Initial release. (Closes: #600622)

 -- Alessio Treglia <alessio@debian.org>  Tue, 19 Oct 2010 09:11:47 +0200
