=== debian/rules ===
#!/usr/bin/make -f

ifneq ($(findstring $(DEB_HOST_ARCH_OS),kfreebsd hurd),)
EXTRA_CONFIGURE_ARGS += --disable-alsa-midi
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-debug \
		$(EXTRA_CONFIGURE_ARGS)

override_dh_strip:
	dh_strip --dbg-package=qmidinet-dbg
