## qmidinet 0.1.2

=== debian/changelog ===
qmidinet (0.1.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Enable parallel builds.
  * Update Vcs fields.
  * Update debian/copyright to the machine-readable format.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 22 May 2012 21:07:51 +0200
