=== debian/control ===
Source: qmidinet
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 automake,
 debhelper (>= 7.0.50~),
 dh-autoreconf,
 libasound2-dev,
 libjack-dev,
 libqt4-dev,
 libtool,
 libx11-dev
Homepage: http://qmidinet.sourceforge.net/
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qmidinet.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qmidinet.git

Package: qmidinet
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Description: MIDI Network Gateway via UDP/IP Multicast
 QmidiNet is a MIDI network gateway application that sends and receives
 MIDI data (ALSA Sequencer) over the network, using UDP/IP multicast.
 It was inspired by multimidicast (http://llg.cubic.org/tools) and
 designed to be compatible with ipMIDI for Windows (http://nerds.de).

Package: qmidinet-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 qmidinet (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for QmidiNet
 QmidiNet is a MIDI network gateway application that sends and receives
 MIDI data (ALSA Sequencer) over the network, using UDP/IP multicast.
 .
 This package contains the debugging symbols.
