## qmidinet 0.1.3

=== debian/changelog ===
qmidinet (0.1.3-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream release.
  * Refresh debian/copyright.
  * Bump DH compat up to 9.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Apr 2014 17:43:03 +0100
