## qmidinet 0.2.0

=== debian/changelog ===
qmidinet (0.2.0-1) unstable; urgency=low

  * Imported Upstream version 0.2.0
  * Added patch to fix FTBFS.
  * Added Keywords to desktop file.
  * Keywords improved in desktop file.
  * Added patch to pass CPPFLAGS.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 02 Aug 2014 22:40:43 +0200
