=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  automake,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  dh-autoreconf,
  libasound2-dev,
  libjack-dev,
@@ -14,7 +15,7 @@
  libtool,
  libx11-dev
 Homepage: http://qmidinet.sourceforge.net/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qmidinet.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qmidinet.git
