## qmidinet 0.2.1

=== debian/changelog ===
qmidinet (0.2.1-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:03:35 +0000

qmidinet (0.2.1-1) unstable; urgency=medium

  * Imported Upstream version 0.2.1
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 27 Mar 2015 14:07:48 +0100
