## qmidinet 0.3.0

=== debian/changelog ===
qmidinet (0.3.0-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0
  * Switch to QT5.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 29 Sep 2015 06:12:10 +0200
