=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: qmidinet
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- automake,
  debhelper (>= 9~),
  dh-autoreconf,
+ automake,
+ qtbase5-dev,
+ qttools5-dev-tools,
  libasound2-dev,
  libjack-dev,
- libqt4-dev,
  libtool,
  libx11-dev
 Homepage: http://qmidinet.sourceforge.net/
