=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 ifneq ($(findstring $(DEB_HOST_ARCH_OS),kfreebsd hurd),)
 EXTRA_CONFIGURE_ARGS += --disable-alsa-midi
 endif
+
+export QT_SELECT=qt5
 
 %:
 	dh $@ --parallel --with autoreconf
