=== debian/watch ===
version=3
http://sf.net/qmidinet/qmidinet-([\d.]+)\.tar\.gz
