## qmidinet 0.4.0

=== debian/changelog ===
qmidinet (0.4.0-2) unstable; urgency=medium

  * Add patch to build with gcc6. (Closes: #831141)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 20 Jul 2016 22:44:32 +0200

qmidinet (0.4.0-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0
  * Bump Standards.
  * Fix VCS fields.
  * Patch removed.
  * Add .gitignore file.
  * Patches refreshed.
  * Remove menu file.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 17 Jun 2016 01:10:19 +0200
