=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  libtool,
  libx11-dev
 Homepage: http://qmidinet.sourceforge.net/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qmidinet.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qmidinet.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qmidinet.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qmidinet.git
 
 Package: qmidinet
 Architecture: any
