## qmidinet 0.4.2

=== debian/changelog ===
qmidinet (0.4.2-2) unstable; urgency=medium

  * Add patch to build reproducible. (Closes: #845008)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 20 Nov 2016 17:48:10 +0100

qmidinet (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Patches refreshed.
  * Set dh/compat 10.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 15 Nov 2016 07:39:07 +0100

qmidinet (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * Patch refreshed.
  * Patch applied upstream.
  * Drop dbg package in favour of dbgsym.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Sep 2016 14:23:35 +0200
