=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 10~),
  dh-autoreconf,
  automake,
  qtbase5-dev,
@@ -31,16 +31,3 @@
  MIDI data (ALSA Sequencer) over the network, using UDP/IP multicast.
  It was inspired by multimidicast (http://llg.cubic.org/tools) and
  designed to be compatible with ipMIDI for Windows (http://nerds.de).
-
-Package: qmidinet-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends:
- qmidinet (= ${binary:Version}),
- ${misc:Depends}
-Description: Debugging symbols for QmidiNet
- QmidiNet is a MIDI network gateway application that sends and receives
- MIDI data (ALSA Sequencer) over the network, using UDP/IP multicast.
- .
- This package contains the debugging symbols.
