=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,8 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-debug \
 		$(EXTRA_CONFIGURE_ARGS)
-
-override_dh_strip:
-	dh_strip --dbg-package=qmidinet-dbg
