## qmidinet 0.4.3

=== debian/changelog ===
qmidinet (0.4.3-2) unstable; urgency=medium

  * Add patch to make build reproducible. (Closes: #866164)
  * Install upstream man pages.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Jun 2017 23:41:24 +0200

qmidinet (0.4.3-1) unstable; urgency=medium

  * Patch forwarded.
  * New upstream version 0.4.3
  * Bump Standards.
  * Update copyright.
  * Remove dh_autorenf.
  * Fis dh version.
  * Sign tags.
  * Patches refreshed/deleted.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Jun 2017 13:49:26 +0200
