=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10~),
- dh-autoreconf,
+ debhelper (>= 10),
  automake,
  qtbase5-dev,
  qttools5-dev-tools,
@@ -16,7 +15,7 @@
  libtool,
  libx11-dev
 Homepage: http://qmidinet.sourceforge.net/
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qmidinet.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qmidinet.git
