=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
  libjack-dev,
  libtool,
  libx11-dev
-Homepage: http://qmidinet.sourceforge.net/
-Standards-Version: 4.0.0
+Homepage: https://qmidinet.sourceforge.io
+Standards-Version: 4.1.2
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qmidinet.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qmidinet.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/qmidinet.git
 
 Package: qmidinet
 Architecture: any
