=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 export QT_SELECT=qt5
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-debug \
