=== debian/watch ===
version=3
https://sf.net/qmidinet/qmidinet-([\d.]+)\.tar\.gz
