## qmidinet 0.6.1

=== debian/changelog ===
qmidinet (0.6.1-2) unstable; urgency=medium

  * Team upload

  [ Dennis Braun ]
  * Disable debugging (Closes: #894660)
  * Bump Standards-Version
  * Remove jackd from qmidinet depends (Closes: #891815)

  [ Sebastian Ramacher ]
  * debian/: Switch to cmake.

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 03 Feb 2020 20:45:43 +0100

qmidinet (0.6.1-1) unstable; urgency=medium

  * Team upload

  [ Olivier Humbert ]
  * Update d/copyright (http -> https)
  * Update d/control (http -> https)

  [ Dennis Braun ]
  * New upstream release
  * Update d/copyright year
  * Update d/patches/03-fix_hardening.patch

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 25 Jan 2020 14:41:43 +0100

qmidinet (0.5.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 12
    - Remove automake from B-D
    - Set RRR: no
  * debian/copyright: Document appstream license

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Oct 2019 20:57:12 +0200
