=== debian/control ===
Source: qmidinet
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 qtbase5-dev,
 qttools5-dev-tools,
 libasound2-dev,
 libjack-dev,
 libtool,
 libx11-dev
Homepage: https://qmidinet.sourceforge.io
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/qmidinet.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qmidinet
Rules-Requires-Root: no

Package: qmidinet
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MIDI Network Gateway via UDP/IP Multicast
 QmidiNet is a MIDI network gateway application that sends and receives
 MIDI data (ALSA Sequencer) over the network, using UDP/IP multicast.
 It was inspired by multimidicast (https://llg.cubic.org/tools) and
 designed to be compatible with ipMIDI for Windows (https://nerds.de).
