=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libtool,
  libx11-dev
 Homepage: https://qmidinet.sourceforge.io
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/qmidinet.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qmidinet
 Rules-Requires-Root: no
