=== debian/changelog ===
qmidinet (0.9.4-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 05 Oct 2021 00:39:35 -0400

qmidinet (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Refresh hardening patch
  * Bump Standards-Version to 4.6.0
  * debian/rules: Atm debian archive has no qt6, we compile with --disable-qt6

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 23 Aug 2021 21:38:18 +0200
