=== debian/changelog ===
qmidinet (0.9.5-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 17 Jan 2022 16:47:44 -0500

qmidinet (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
  * Remove hardening patch, autotools build system have been removed
  * Update d/copyright years

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 13 Jan 2022 15:42:25 +0100
