=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ -Scmake
+	dh $@ -Scmake --disable-qt6
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)
