## qmidinet 0.9.7

=== debian/changelog ===
qmidinet (0.9.7-1) unstable; urgency=medium

  * New upstream version 0.9.7
  * Bump Standards Version to 4.6.1
  * Build with Qt6
  * Sort B-Ds

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 07 Oct 2022 14:41:59 +0200
