=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qmidinet
 Section: sound
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
@@ -10,14 +9,15 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- qtbase5-dev,
- qttools5-dev-tools,
  libasound2-dev,
- libjack-dev,
+ libjack-dev | libjack-jackd2-dev,
+ libqt6svg6-dev,
  libtool,
- libx11-dev
+ libx11-dev,
+ qt6-base-dev,
+ qt6-tools-dev-tools
 Homepage: https://qmidinet.sourceforge.io
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/qmidinet.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qmidinet
 Rules-Requires-Root: no
