=== debian/changelog ===
qmidinet (0.9.8-1) unstable; urgency=medium

  * New upstream version 0.9.8
  * Change my email address
  * Bump Standards-Version to 4.6.2

 -- Dennis Braun <snd@debian.org>  Wed, 28 Dec 2022 21:42:34 +0100
