=== debian/changelog ===
qmidinet (0.9.11-1) unstable; urgency=medium

  * New upstream version 0.9.11

 -- Dennis Braun <snd@debian.org>  Mon, 18 Sep 2023 19:55:03 +0200

qmidinet (0.9.10-1) unstable; urgency=medium

  * New upstream version 0.9.10
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Mon, 19 Jun 2023 20:17:01 +0200
